# -*- coding: utf-8 -*-

from PyQt4 import QtCore, QtGui
from qgis.gui import *
from qgis.core import *

class RasterLayerSelectorItem(QtGui.QWidget):

    def __init__(self, layer, parent = None):
        super(RasterLayerSelectorItem, self).__init__(parent)

        self.horizontalLayout = QtGui.QHBoxLayout()
        self.horizontalLayout.setSpacing(2)
        self.horizontalLayout.setMargin(0)
        
        self.checkbox = QtGui.QCheckBox()
        self.checkbox.setText(layer.name())
        
        self.horizontalLayout.addWidget(self.checkbox)
        self.horizontalLayout.addStretch()
        self.setLayout(self.horizontalLayout)

    def setChecked(self, val):
        self.checkbox.setChecked(val)

    def isChecked(self):
        return self.checkbox.isChecked()
